/*
 *  GOL - Game of life simulation software
 *  Copyright (C) 1996 Michael Raymond Brown
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  Author: Michael Raymond Brown
 *  EMail:  michael@arrakeen.demon.co.uk
 *  WWW:    http://www.arrakeen.demon.co.uk/
 *  Address:  Michael Brown
 *            Kia Ora
 *            Brook Street
 *            Great Bromley
 *            Nr Colchester
 *            Essex
 *            CO7 7HX
 *            England
 */


#ifndef _tGC_H
#define _tGC_H

#ifdef __GNUC__
#pragma interface
#endif


#include "config.h"

class xwGC
   {public:
	xwGC();
	virtual ~xwGC();

	virtual void plot(int x, int y, int colour) = 0;
	virtual int point(int x, int y) = 0;

	virtual void line(int x1, int y1, int x2, int y2, int colour);

	virtual void multiPlot(int x, int y, int w, int h, const int* pixels, int scan_w);
	virtual void multiPlot(int x, int y, int w, int h, const int* pixels);

	virtual void multiPoint(int x, int y, int w, int h, int* pixels, int scan_w);
	virtual void multiPoint(int x, int y, int w, int h, int* pixels);
   };

#endif

